{"openapi":"3.0.1","info":{"title":"629_STD_API","version":"1.0"},"servers":[{"url":"/629_STD_API"}],"paths":{"/api/TarjetaCredito/LimitesDinamicos/Registrar":{"post":{"tags":["LimitesDinamicos"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestTarjetaCreditoRegistrarLimiteDinamico"}},"text/json":{"schema":{"$ref":"#/components/schemas/RequestTarjetaCreditoRegistrarLimiteDinamico"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/RequestTarjetaCreditoRegistrarLimiteDinamico"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseRegistrarLimiteDinamico"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRegistrarLimiteDinamico"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseRegistrarLimiteDinamico"}}}}}}},"/api/TarjetaCredito/ReimpresionTarjeta/Consultar":{"post":{"tags":["ReimpresionTarjeta"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestConsultarTarjetasReimpresion"}},"text/json":{"schema":{"$ref":"#/components/schemas/RequestConsultarTarjetasReimpresion"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/RequestConsultarTarjetasReimpresion"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseConsultarTarjetasReimpresion"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseConsultarTarjetasReimpresion"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseConsultarTarjetasReimpresion"}}}}}}},"/api/TarjetaCredito/ReimpresionTarjeta/Registrar":{"post":{"tags":["ReimpresionTarjeta"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestRegistrarSolicitudReimpresion"}},"text/json":{"schema":{"$ref":"#/components/schemas/RequestRegistrarSolicitudReimpresion"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/RequestRegistrarSolicitudReimpresion"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseRegistrarSolicitudReimpresion"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRegistrarSolicitudReimpresion"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseRegistrarSolicitudReimpresion"}}}}}}},"/api/TarjetaCredito/ReimpresionTarjeta/Motivos":{"get":{"tags":["ReimpresionTarjeta"],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseConsultarMotivosReimpresion"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseConsultarMotivosReimpresion"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseConsultarMotivosReimpresion"}}}}}}},"/api/TarjetaCredito/TCTitular/Registrar":{"post":{"tags":["TCTitular"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestRegistrarAltaTCTitular"}},"text/json":{"schema":{"$ref":"#/components/schemas/RequestRegistrarAltaTCTitular"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/RequestRegistrarAltaTCTitular"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseRegistrarAltaTCTitular"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRegistrarAltaTCTitular"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseRegistrarAltaTCTitular"}}}}}}}},"components":{"schemas":{"Cliente":{"type":"object","properties":{"tipoDocumento":{"type":"string","nullable":true},"numeroDocumento":{"type":"string","nullable":true}},"additionalProperties":false},"ClienteRef":{"type":"object","properties":{"tipoDocumento":{"type":"string","nullable":true},"numeroDocumento":{"type":"string","nullable":true}},"additionalProperties":false},"ConsultarTarjetasReimpresion":{"type":"object","properties":{"datosRequest":{"$ref":"#/components/schemas/DatosRequestConsultar"}},"additionalProperties":false},"ContextoMensaje":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/item"},"nullable":true}},"additionalProperties":false},"CuentaReimpresion":{"type":"object","properties":{"procesadoraId":{"type":"integer","format":"int32"},"marcaCodigo":{"type":"string","nullable":true},"productoId":{"type":"string","nullable":true},"entidad":{"type":"string","nullable":true},"cuentaNumero":{"type":"integer","format":"int32"},"motivoImpresionCodigo":{"type":"integer","format":"int32"},"tarjetasReimpresion":{"type":"array","items":{"$ref":"#/components/schemas/TarjetaReimpresion"},"nullable":true}},"additionalProperties":false},"DatosIdentificacionClienteConsultar":{"type":"object","properties":{"documentoTipo":{"type":"string","nullable":true},"documentoNumero":{"type":"string","nullable":true}},"additionalProperties":false},"DatosIdentificacionClienteRegistrar":{"type":"object","properties":{"documentoTipo":{"type":"string","nullable":true},"documentoNumero":{"type":"string","nullable":true}},"additionalProperties":false},"DatosRequestConsultar":{"type":"object","properties":{"datosIdentificacionCliente":{"$ref":"#/components/schemas/DatosIdentificacionClienteConsultar"},"identificacionProducto":{"$ref":"#/components/schemas/IdentificacionProducto"}},"additionalProperties":false},"DatosRequestRegistrar":{"type":"object","properties":{"sucursalId":{"type":"integer","format":"int32"},"canalVentaId":{"type":"integer","format":"int32"},"sistemaId":{"type":"integer","format":"int32"},"usuarioVendedor":{"type":"string","nullable":true},"modalidadAtencion":{"type":"string","nullable":true},"datosIdentificacionCliente":{"$ref":"#/components/schemas/DatosIdentificacionClienteRegistrar"},"cuentasReimpresion":{"type":"array","items":{"$ref":"#/components/schemas/CuentaReimpresion"},"nullable":true}},"additionalProperties":false},"DatosResponseConsulta":{"type":"object","properties":{"tarjetas":{"type":"array","items":{"$ref":"#/components/schemas/Tarjeta"},"nullable":true},"errores":{"$ref":"#/components/schemas/ErroresBodyModel"}},"additionalProperties":false},"DatosResponseMotivo":{"type":"object","properties":{"listaMotivos":{"type":"array","items":{"$ref":"#/components/schemas/Motivo"},"nullable":true}},"additionalProperties":false},"DatosResponseRegistrar":{"type":"object","properties":{"tarjetaCreditoSolicitudId":{"type":"integer","format":"int32"},"errores":{"$ref":"#/components/schemas/ErroresBodyModel"}},"additionalProperties":false},"Destino":{"type":"object","properties":{"idServicio":{"type":"string","nullable":true},"idOperacion":{"type":"string","nullable":true},"uri":{"type":"string","nullable":true}},"additionalProperties":false},"ErrorItem":{"type":"object","properties":{"tipoError":{"type":"string","nullable":true},"nroError":{"type":"string","nullable":true},"desError":{"type":"string","nullable":true},"mensaje":{"type":"string","nullable":true}},"additionalProperties":false},"ErroresBodyModel":{"type":"object","properties":{"error":{"type":"array","items":{"$ref":"#/components/schemas/ErrorItem"},"nullable":true}},"additionalProperties":false},"HeaderComunRequest":{"type":"object","properties":{"origen":{"$ref":"#/components/schemas/Origen"},"destino":{"$ref":"#/components/schemas/Destino"},"idMensaje":{"type":"string","nullable":true},"timeStamp":{"type":"string","nullable":true},"usuario":{"$ref":"#/components/schemas/Usuario"},"contextoMensaje":{"$ref":"#/components/schemas/ContextoMensaje"},"idMQ":{"type":"string","nullable":true}},"additionalProperties":false},"HeaderComunResponse":{"type":"object","properties":{"origen":{"$ref":"#/components/schemas/Origen"},"destino":{"$ref":"#/components/schemas/Destino"},"idMensaje":{"type":"string","nullable":true},"timeStamp":{"type":"string","nullable":true},"usuario":{"$ref":"#/components/schemas/Usuario"},"contextoMensaje":{"$ref":"#/components/schemas/ContextoMensaje"},"idMQ":{"type":"string","nullable":true},"estadoRespuesta":{"$ref":"#/components/schemas/estadoRespuesta"}},"additionalProperties":false},"IdentificacionProducto":{"type":"object","properties":{"procesadoraId":{"type":"integer","format":"int32"},"entidad":{"type":"string","nullable":true},"cuentaNumero":{"type":"integer","format":"int32"}},"additionalProperties":false},"Motivo":{"type":"object","properties":{"motivoImpresionCodigo":{"type":"integer","format":"int32"},"motivoImpresionDescripcion":{"type":"string","nullable":true}},"additionalProperties":false},"Origen":{"type":"object","properties":{"idSistema":{"type":"string","nullable":true},"idOperacion":{"type":"string","nullable":true},"uri":{"type":"string","nullable":true}},"additionalProperties":false},"RegistrarAltaTCTitular":{"type":"object","properties":{"canalVentaId":{"type":"integer","format":"int32"},"sucursalId":{"type":"integer","format":"int32"},"sistemaId":{"type":"integer","format":"int32"},"userId":{"type":"string","nullable":true},"cliente":{"$ref":"#/components/schemas/Cliente"},"tarjeta":{"$ref":"#/components/schemas/TarjetaAltaTCTitular"},"modalidadDeAtencion":{"type":"string","nullable":true}},"additionalProperties":false},"RegistrarLimiteDinamico":{"type":"object","properties":{"canalVentaId":{"type":"integer","format":"int32"},"sucursalId":{"type":"integer","format":"int32"},"sistemaId":{"type":"integer","format":"int32"},"userId":{"type":"string","nullable":true},"cliente":{"$ref":"#/components/schemas/ClienteRef"},"solicitudIdAltaTitular":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"RegistrarSolicitudReimpresion":{"type":"object","properties":{"datosRequest":{"$ref":"#/components/schemas/DatosRequestRegistrar"}},"additionalProperties":false},"RequestConsultarTarjetasReimpresion":{"type":"object","properties":{"headerComunRequest":{"$ref":"#/components/schemas/HeaderComunRequest"},"consultarTarjetasReimpresion":{"$ref":"#/components/schemas/ConsultarTarjetasReimpresion"}},"additionalProperties":false},"RequestRegistrarAltaTCTitular":{"type":"object","properties":{"headerComunRequest":{"$ref":"#/components/schemas/HeaderComunRequest"},"registrarAltaTCTitular":{"$ref":"#/components/schemas/RegistrarAltaTCTitular"}},"additionalProperties":false},"RequestRegistrarSolicitudReimpresion":{"type":"object","properties":{"headerComunRequest":{"$ref":"#/components/schemas/HeaderComunRequest"},"registrarSolicitudReimpresion":{"$ref":"#/components/schemas/RegistrarSolicitudReimpresion"}},"additionalProperties":false},"RequestTarjetaCreditoRegistrarLimiteDinamico":{"type":"object","properties":{"headerComunRequest":{"$ref":"#/components/schemas/HeaderComunRequest"},"registrarLimiteDinamico":{"$ref":"#/components/schemas/RegistrarLimiteDinamico"}},"additionalProperties":false},"ResponseConsultarMotivosReimpresion":{"type":"object","properties":{"headerComunResponse":{"$ref":"#/components/schemas/HeaderComunResponse"},"response":{"$ref":"#/components/schemas/ResponseConsultarMotivosReimpresion1"}},"additionalProperties":false},"ResponseConsultarMotivosReimpresion1":{"type":"object","properties":{"datosResponse":{"$ref":"#/components/schemas/DatosResponseMotivo"}},"additionalProperties":false},"ResponseConsultarTarjetasReimpresion":{"type":"object","properties":{"headerComunResponse":{"$ref":"#/components/schemas/HeaderComunResponse"},"response":{"$ref":"#/components/schemas/ResponseConsultarTarjetasReimpresion1"}},"additionalProperties":false},"ResponseConsultarTarjetasReimpresion1":{"type":"object","properties":{"datosResponse":{"$ref":"#/components/schemas/DatosResponseConsulta"}},"additionalProperties":false},"ResponseRegistrarAltaTCTitular":{"type":"object","properties":{"headerComunResponse":{"$ref":"#/components/schemas/HeaderComunResponse"},"response1":{"$ref":"#/components/schemas/ResponseRegistrarAltaTCTitular1"}},"additionalProperties":false},"ResponseRegistrarAltaTCTitular1":{"type":"object","properties":{"solicitudId":{"type":"integer","format":"int32","nullable":true},"errores":{"$ref":"#/components/schemas/ErroresBodyModel"}},"additionalProperties":false},"ResponseRegistrarLimiteDinamico":{"type":"object","properties":{"headerComunResponse":{"$ref":"#/components/schemas/HeaderComunResponse"},"response1":{"$ref":"#/components/schemas/ResponseRegistrarLimiteDinamico1"}},"additionalProperties":false},"ResponseRegistrarLimiteDinamico1":{"type":"object","properties":{"solicitudId":{"type":"integer","format":"int32","nullable":true},"errores":{"$ref":"#/components/schemas/ErroresBodyModel"}},"additionalProperties":false},"ResponseRegistrarSolicitudReimpresion":{"type":"object","properties":{"headerComunResponse":{"$ref":"#/components/schemas/HeaderComunResponse"},"responseRegistrarSolicitudReimpresion":{"$ref":"#/components/schemas/ResponseRegistrarSolicitudReimpresion1"}},"additionalProperties":false},"ResponseRegistrarSolicitudReimpresion1":{"type":"object","properties":{"datosResponse":{"$ref":"#/components/schemas/DatosResponseRegistrar"}},"additionalProperties":false},"Tarjeta":{"type":"object","properties":{"marcaCodigo":{"type":"string","nullable":true},"marcaDescripcion":{"type":"string","nullable":true},"productoId":{"type":"string","nullable":true},"productoNombre":{"type":"string","nullable":true},"entidad":{"type":"string","nullable":true},"cuentaNumero":{"type":"integer","format":"int32"},"numeroTarjeta":{"type":"integer","format":"int32"},"denominacionTarjeta":{"type":"string","nullable":true},"rolCliente":{"type":"string","nullable":true},"documentoTipo":{"type":"string","nullable":true},"documentoNumero":{"type":"string","nullable":true},"cuil":{"type":"string","nullable":true},"disponible":{"type":"boolean"},"disponibleDescripcion":{"type":"string","nullable":true}},"additionalProperties":false},"TarjetaAltaTCTitular":{"type":"object","properties":{"marca":{"type":"string","nullable":true},"producto":{"type":"string","nullable":true},"cuentaNumero":{"type":"string","nullable":true},"porcentajeLimiteDeCompra":{"type":"integer","format":"int32"},"porcentajeLimiteDeCompraEnCuotas":{"type":"integer","format":"int32"},"porcentajeLimiteDeAdelantos":{"type":"integer","format":"int32"},"embozado":{"type":"string","nullable":true}},"additionalProperties":false},"TarjetaReimpresion":{"type":"object","properties":{"numeroTarjeta":{"type":"integer","format":"int32"},"denominacionTarjeta":{"type":"string","nullable":true}},"additionalProperties":false},"Usuario":{"type":"object","properties":{"idUsuario":{"type":"string","nullable":true},"tokenUsuario":{"type":"string","nullable":true},"tipoToken":{"type":"string","nullable":true}},"additionalProperties":false},"estadoRespuesta":{"enum":[0,1,2],"type":"integer","format":"int32"},"item":{"type":"object","properties":{"clave":{"type":"string","nullable":true},"valor":{"type":"string","nullable":true}},"additionalProperties":false}}}}